<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginStart="5dp"
    android:layout_marginTop="5dp"
    android:layout_marginEnd="5dp"
    android:layout_marginBottom="0dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="5dp"
    app:cardElevation="3dp"
    app:cardUseCompatPadding="true">

    <!-- Main content container -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="12dp">

        <!-- Info Row 1 -->
        <RelativeLayout
            style="@style/MatchWrap"
            android:gravity="center_vertical">

            <TextView
                android:id="@+id/tv_code_tip"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_marginEnd="8dp"
                android:text="RFID 标签"
                android:textColor="@color/c_6666"
                android:textSize="12sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_material_code"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/tv_code_tip"
                android:text="PTLBQ20251218"
                android:textColor="@color/purple_200"
                android:textSize="16sp"
                android:textStyle="bold" />

            <!--复制-->
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_copy"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@+id/tv_material_code"
                android:background="?actionBarItemBackground"
                android:padding="5dp"
                android:src="@drawable/copy_icon" />

            <TextView
                android:id="@+id/tv_status"
                style="@style/WrapWrap"
                android:layout_alignParentEnd="true"
                android:layout_gravity="end"
                android:background="@drawable/status_red_bg"
                android:paddingHorizontal="10dp"
                android:paddingVertical="2dp"
                android:text="已撤销"
                android:textColor="@color/red"
                android:textSize="12sp" />
        </RelativeLayout>

        <!-- Info Row 1 -->
        <RelativeLayout
            style="@style/MatchWrap"
            android:gravity="center_vertical">

            <TextView
                android:id="@+id/tv_batch_code_tip"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_marginEnd="8dp"
                android:text="批   次   号"
                android:textColor="@color/c_6666"
                android:textSize="12sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_batch_code"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/tv_batch_code_tip"
                android:text="IN2025122613480842270021"
                android:textColor="@color/purple_200"
                android:textSize="16sp"
                android:textStyle="bold" />

            <!--复制-->
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_copy_batch"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@+id/tv_batch_code"
                android:background="?actionBarItemBackground"
                android:padding="5dp"
                android:src="@drawable/copy_icon" />
        </RelativeLayout>

        <!--横线-->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:background="@color/c_f5f5" />

        <LinearLayout style="@style/MatchWrap.Horizontal">

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">

                <!-- 仓库 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="仓库"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_warehouse"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 货架 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="货架"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_shelf"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/ll1"
                    style="@style/WrapWrap.Vertical"
                    android:visibility="gone">

                    <!-- 入库单价 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="入库单价"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_in_price"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 撤销时间 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="撤销时间"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_cancel_time"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 生产日期 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="生产日期"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/tv_production_date"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold"
                        android:visibility="gone" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">
                <!-- 库区 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="库区"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_warehouse_area"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 数量 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="数量"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_quantity"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/ll2"
                    style="@style/WrapWrap.Vertical"
                    android:visibility="gone">
                    <!-- 出库时间 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="出库时间"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_outbound_time"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />

                    <!-- 出库原因 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="失效日期"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/tv_expiry_date"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold"
                        android:visibility="gone" />

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
        <!--展开收起-->
        <LinearLayout
            android:id="@+id/rl_up"
            style="@style/WrapWrap.Horizontal"
            android:layout_gravity="end"
            android:background="?actionBarItemBackground"
            android:paddingHorizontal="20dp"
            android:paddingVertical="5dp">

            <TextView
                android:id="@+id/expand_button"
                style="@style/WrapWrap"
                android:text="展开"
                android:textColor="@color/text_gray" />

            <ImageView
                android:id="@+id/iv_up"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginStart="5dp"
                android:src="@drawable/down_icon" />
        </LinearLayout>

        <!-- 操作按钮 -->
        <LinearLayout
            style="@style/MatchWrap.Horizontal"
            android:paddingTop="3dp">

            <TextView
                android:id="@+id/detail_button"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/gray_bg"
                android:gravity="center"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:text="详情"
                android:textColor="@color/purple_200"
                android:visibility="gone" />

            <TextView
                android:id="@+id/btn_cancel"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_weight="2"
                android:background="@drawable/red_bg"
                android:gravity="center"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:text="撤销"
                android:textColor="@color/white" />

        </LinearLayout>

    </LinearLayout>
</androidx.cardview.widget.CardView>